Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.table
Class LayoutTable.OverlappedArea

    java.lang.Object
      org.eclipse.birt.report.model.api.elements.table.LayoutTable.OverlappedArea

Enclosing class:
  LayoutTable

    protected static class LayoutTable.OverlappedArea

extends java.lang.Object

Represents an overlapped area of the cell element in the table.

Method Summary
`protected org.eclipse.birt.report.model.elements.Cell` | `getCell()` Returns the cell element.
`protected int` | `getColPosn()` Returns the column position
`protected int` | `getColSpanOffset()` Returns the offset of the column span
`protected int` | `getRowPosn()` Returns the row position
`protected int` | `getRowSpanOffset()` Returns the offset of the row span
`protected LayoutSlot` | `getSlot()` Returns the slot in which the overlapped occurs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCell

    protected org.eclipse.birt.report.model.elements.Cell getCell()

  Returns the cell element.

  Returns:
    the cell element

### getColPosn

    protected int getColPosn()

  Returns the column position

  Returns:
    1-based column position

### getRowPosn

    protected int getRowPosn()

  Returns the row position

  Returns:
    1-based row position

### getSlot

    protected LayoutSlot getSlot()

  Returns the slot in which the overlapped occurs

  Returns:
    the slot in which the overlapped occurs

### getColSpanOffset

    protected int getColSpanOffset()

  Returns the offset of the column span

  Returns:
    the 0-based offset of the column span

### getRowSpanOffset

    protected int getRowSpanOffset()

  Returns the offset of the row span

  Returns:
    the 0-based offset of the row span

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.